Package org.jbpm.services.task.commands

## Class AddAttachmentCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Long>
    - - org.jbpm.services.task.commands.AddAttachmentCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Long>`, `org.kie.api.command.ExecutableCommand<Long>`

      public class AddAttachmentCommand
      extends UserGroupCallbackTaskCommand<Long>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddAttachmentCommand()` |
    `AddAttachmentCommand​(Long taskId, org.kie.api.task.model.Attachment attachment, Object rawContent)` |
    `AddAttachmentCommand​(Long taskId, org.kie.api.task.model.Attachment attachment, org.kie.api.task.model.Content content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `org.kie.api.task.model.Attachment` | `getAttachment()` |
    `org.kie.api.task.model.Content` | `getContent()` |
    `JaxbAttachment` | `getJaxbAttachment()` |
    `JaxbContent` | `getJaxbContent()` |
    `Object` | `getRawContent()` |
    `void` | `setAttachment​(org.kie.api.task.model.Attachment attachment)` |
    `void` | `setContent​(org.kie.api.task.model.Content content)` |
    `void` | `setJaxbAttachment​(JaxbAttachment jaxbAttachment)` |
    `void` | `setJaxbContent​(JaxbContent jaxbContent)` |
    `void` | `setRawContent​(Object rawContent)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addEmailFromCallbackOperation, addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackEmailOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddAttachmentCommand

          public AddAttachmentCommand()

    - #### AddAttachmentCommand

          public AddAttachmentCommand​(Long taskId,
                                      org.kie.api.task.model.Attachment attachment,
                                      org.kie.api.task.model.Content content)

    - #### AddAttachmentCommand

          public AddAttachmentCommand​(Long taskId,
                                      org.kie.api.task.model.Attachment attachment,
                                      Object rawContent)

  - ### Method Detail

    - #### execute

          public Long execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Long>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Long>`

    - #### setAttachment

          public void setAttachment​(org.kie.api.task.model.Attachment attachment)

    - #### getJaxbAttachment

          public JaxbAttachment getJaxbAttachment()

    - #### setJaxbAttachment

          public void setJaxbAttachment​(JaxbAttachment jaxbAttachment)

    - #### getJaxbContent

          public JaxbContent getJaxbContent()

    - #### setJaxbContent

          public void setJaxbContent​(JaxbContent jaxbContent)

    - #### getContent

          public org.kie.api.task.model.Content getContent()

    - #### setContent

          public void setContent​(org.kie.api.task.model.Content content)

    - #### getAttachment

          public org.kie.api.task.model.Attachment getAttachment()

    - #### getRawContent

          public Object getRawContent()

    - #### setRawContent

          public void setRawContent​(Object rawContent)